| GET | /RestApi/Sitefinity/mobile-formats/preview |
|---|
| Name | Parameter | Data Type | Required | Description |
|---|---|---|---|---|
| MobileFormatSettingName | query | string | No | |
| ContentTypeFullname | query | string | No | |
| ProviderName | query | string | No | |
| ItemUrlName | query | string | No | |
| Status | query | ContentLifecycleStatus? | No | |
| SiteId | query | string | No |
| Name | Value | |
|---|---|---|
| Master | 0 | |
| Temp | 1 | |
| Live | 2 | |
| Deleted | 4 | |
| PartialTemp | 8 |
| Name | Parameter | Data Type | Required | Description |
|---|---|---|---|---|
| ItemTitle | form | string | No | |
| MobileFormatUrl | form | string | No | |
| MobileFormatPreviewUrl | form | string | No | |
| ErrorMessage | form | string | No |
To override the Content-type in your clients, use the HTTP Accept Header, append the .jsv suffix or ?format=jsv
The following are sample HTTP requests and responses. The placeholders shown need to be replaced with actual values.
GET /RestApi/Sitefinity/mobile-formats/preview HTTP/1.1 Host: www.asg.com.au Accept: text/jsv
HTTP/1.1 200 OK
Content-Type: text/jsv
Content-Length: length
{
ItemTitle: String,
MobileFormatUrl: String,
MobileFormatPreviewUrl: String,
ErrorMessage: String
}